Welcome!

Sign in with your CogSci, Facebook, Google, or Twitter account.

Or register to create a new account.

We'll use your information only for signing in to this forum.

Supported by

parallel_port_trigger can't find my parallel port *anymore*

jtparjtpar Posts: 42

Hi there!

I'm having a problem with the parallel_port_trigger plugin, very much like that described here. I'm also running Windows 7 x64

The plugin worked fine for me in the past and I'm wondering if it's not-working-ness might be related to my having recently updated to the most recent version of OpenSesame (3.1.6)? I checked my OpenSesame folder for dlportio.dll (as instructed by Sebastian in the post I linked to) and can't find it, but I also see that the README file for the plugin indicates that installing the plugin isn't necessary.

Thanks very much in advance for your assistance!
-Jonathan

Comments

  • jtparjtpar Posts: 42

    Hello! Two updates:
    * I did try copying dlportio.dll that I found in C:\Windows\SysWOW64 to my OpenSesame folder, but its still not finding the port.
    * I tried sending triggers from a couple of other programs (e.g. - Presentation) and they were sent.

    Also sorry I did not post this before, but here is the error message I get:

        Wrong port address, could not access the Parallel Port
    
        item-stack: experiment[prepare].new_parallel_port_trigger_init[prepare]
        exception message: pptrigger_value not found
        time: Mon Apr 10 16:42:48 2017
        exception type: AttributeError
    
        Traceback:
          File "C:\Program Files (x86)\OpenSesame\share\opensesame_plugins\parallel_port_trigger_init\parallel_port_trigger_init.py", line 125, in prepare
            debug.msg(u'Resetting the parallel port on address: %s' % (self.pptrigger_value,self.experiment.pptrigger_port))
          File "C:\Program Files (x86)\OpenSesame\lib\site-packages\libopensesame\item.py", line 238, in __getattr__
            raise AttributeError(u'%s not found' % var)
        AttributeError: pptrigger_value not found
    

    Thanks again!

  • sebastiaansebastiaan Posts: 2,737

    Hi Jonathan,

    This looks like a compatibility issue with OpenSesame 3.0. But it also looks like you're running an old version of the plug-in. Could you see if simply updating to the latest version solves the issue?

    The problem is not related to dlportio.dll.

    Cheers!
    Sebastiaan

    (Ping @Bob)

    Thanked by 1jtpar

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • jtparjtpar Posts: 42

    Hi Sebastiaan,

    Thanks! I thought I was running the most recent version (6.0, dated 31-01-2017), but I'll give re-downloading and installing a try :smile:

    Also I've never used anything earlier than OpenSesame 3.0, so the plugin did work with version 3.something

    Is there other information that would be helpful for me to provide/upload?

    Thanks!!
    -Jonathan

  • jtparjtpar Posts: 42

    UPDATE! I was playing around with versions to see if I could get to the "old" configuration that worked for me.
    * First I went back to OS 3.1.4, which was the version I was running when it still worked. Same problem.
    * Then went back to version 5.0 of the plugin and... voila! It works again. Not sure what's different between the two, but my triggers are sending fine now :smile:

    I have a participant coming today (!!) so I don't want to mess around with anything until I've run them. Later today I'll go back to OS 3.1.6 and let you know if plugin 5.0 works with it.

    @_Bob Is there anything I can do to help figure out why v.6.0 might not be working for me?

    Thanks!
    -Jonathan

  • Th.HinaultTh.Hinault Posts: 11

    Hi everyone,
    I also have trouble to send the trigger.
    I can't download the 5.0 version of the plugin, could you tell me where you found it ?
    Thanks

  • Th.HinaultTh.Hinault Posts: 11

    Thanks, I will try to make it work with the v5

    Best,
    Thomas

  • jtparjtpar Posts: 42

    Hi All,

    Sorry for the delay. I finally got a chance to try out the plugin v5 with OS 3.1.6 and it works!

    @_Bob would it be useful for me to reproduce the error with v6 and/or send you any information I haven't posted above?

    Thanks everyone.

    -Jonathan

Sign In or Register to comment.